Last Comment Bug 872954 - OpenSearch is not enabled
: OpenSearch is not enabled
Status: VERIFIED FIXED
p=2
:
Product: Marketplace
Classification: Server Software
Component: Search (show other bugs)
: 1.5
: All All
: P4 enhancement (vote)
: 2013-06-06
Assigned To: Mathieu Pillard [:mat]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 01:31 PDT by Antoine Turmel [:GeekShadow]
Modified: 2013-06-06 05:25 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Antoine Turmel [:GeekShadow] 2013-05-16 01:31:57 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:20.0) Gecko/20100101 Firefox/20.0 (Beta/Release)
Build ID: 20130409194949

Steps to reproduce:

Looking for OpenSearch provider when going to https://marketplace.firefox.com


Actual results:

There is no OpenSearch provider available.


Expected results:

OpenSearch should be available so people can use the search feature of their browser. Plus OpenSearch is available on Zamboni
Comment 2 Mathieu Pillard [:mat] 2013-05-29 04:23:40 PDT
Pull Request up at https://github.com/mozilla/zamboni/pull/777
Comment 3 Mathieu Pillard [:mat] 2013-06-04 06:16:30 PDT
https://github.com/mozilla/zamboni/commit/d260ffcf87ebb8153a0a9187179cde980df45039

Opensearch is now available on marketplace-dev. The entry for "Firefox Marketplace" should appear in the search provider selection dropdown of the browser when navigating anywhere in the Marketplace.
Comment 4 Victor Carciu 2013-06-05 06:33:28 PDT
Can you please add some exact STRs for this bug in order to verify it ?
Comment 5 Mathieu Pillard [:mat] 2013-06-05 06:46:21 PDT
For Firefox (no idea how to configure search engines in Chrome):
- Navigate to the Marketplace homepage
- Click on the icon on the left side of Firefox's search box
- You should see a 'Add "Firefox Marketplace"' entry
- Add it
- Verify that when the 'Firefox Marketplace' item is chosen in the search box, typing a new query correctly takes you to the Marketplace search with that query.

Also do the first step the first step on the Marketplace Developers homepage to make sure we offer the search engine in both locations.

Thanks.
Comment 6 Victor Carciu 2013-06-05 07:02:12 PDT
I followed your step , but the problem is that a new query will display the search results in the old Marketplace design instead of Fireplace : http://screencast.com/t/wEYh9eo5k

I will reopen this bug , but if I did something wrong , explain me and close again if needed.
Comment 7 Mathieu Pillard [:mat] 2013-06-05 07:12:15 PDT
Good catch, looking into that.
Comment 8 Mathieu Pillard [:mat] 2013-06-05 11:06:03 PDT
Should be fixed now.
Comment 9 Victor Carciu 2013-06-06 05:25:15 PDT
Verified as fixed : http://screencast.com/t/JCuQQzcaQn

Note You need to log in before you can comment on or make changes to this bug.